%define url_ver %(echo %{version} | cut -d. -f1,2)

%define oname		xfce4util

%define api		1.0
%define major		7
%define libname		%mklibname %{oname} %{major}
%define girname		%mklibname xfce4util-gir %{api}
%define develname	%mklibname %{oname} -d

Summary:	Utility library for the Xfce desktop environment
Name:		libxfce4util
Version:	4.14.0
Release:	%mkrel 1
License:	GPLv2+
Group:		Graphical desktop/Xfce
URL:		https://www.xfce.org
Source0:	https://archive.xfce.org/src/xfce/%{name}/%{url_ver}/%{name}-%{version}.tar.bz2
BuildRequires:	intltool
BuildRequires:	xfce4-dev-tools
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0)

%description
Basic utility non-GUI functions for Xfce desktop environment.

%package i18n
Summary:	Internationalization and locale data for %{name}
Group:		System/Internationalization
Conflicts:	%{_lib}xfce4util4 < 4.8.2-1.1

%description i18n
This package contains the localizations for %{name}.

%package -n %{libname}
Summary:	Utility library for the Xfce desktop environment
Group:		Graphical desktop/Xfce
Requires:	%{name}-i18n >= %{version}-%{release}

%description -n %{libname}
Utility library for the Xfce desktop environment.

%package -n %{girname}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for %{name}.

%package -n %{develname}
Summary:	Libraries and header files for the %{name} library
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{_lib}xfce4util4-devel

%description -n %{develname}
Libraries and header files for the %{name} library.

%package -n xfce-kiosk
Summary:	Kiosk support for the Xfce desktop environment
Group:		Graphical desktop/Xfce

%description -n xfce-kiosk
Kiosk support for the Xfce desktop environment.

%prep
%setup -q
%autopatch -p1

%build
%xdt_autogen
%configure2_5x \
	--disable-static \
	--enable-introspection
%make_build

%install
%make_install

#we don't want these
find %{buildroot} -name "*.la" -delete

%find_lang %{name}

%files i18n -f %{name}.lang

%files -n %{libname}
%doc AUTHORS ChangeLog TODO
%{_libdir}/lib%{oname}.so.%{major}{,.*}

%files -n %{girname}
%{_libdir}/girepository-1.0/libxfce4util-%{api}.typelib

%files -n %{develname}
%doc %{_datadir}/gtk-doc/html/*
%{_libdir}/lib%{oname}.so
%{_libdir}/pkgconfig/lib%{oname}-%{api}.pc
%{_includedir}/xfce4/
%{_datadir}/gir-1.0/libxfce4util-%{api}.gir

%files -n xfce-kiosk
%{_sbindir}/xfce4-kiosk-query
